POST api/lockapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "56a9bed2-32b2-4765-8256-b30df911c8ba",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "f7385514-12fc-4172-bea3-714f28ba4325",
"guard_id": "3e01d046-85a4-4202-b1aa-8c6d3f6e50fa",
"active": true
}
application/xml, text/xml
Sample:
<lock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <direction>sample string 3</direction> <distribution_id>f7385514-12fc-4172-bea3-714f28ba4325</distribution_id> <guard_id>3e01d046-85a4-4202-b1aa-8c6d3f6e50fa</guard_id> <id>56a9bed2-32b2-4765-8256-b30df911c8ba</id> <name>sample string 2</name> </lock>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"17e21943-2c02-406d-8289-1980a0084798"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">17e21943-2c02-406d-8289-1980a0084798</guid>